module EmmetNotifications
  module Generators
    ##
    # Public: Installs template generator.
    class InstallGenerator < Rails::Generators::Base
      include Rails::Generators::Migration
      source_root File.expand_path('../templates', __FILE__)

      ##
      # Public: Generates a EmmetNotifications initializer.
      #
      # Returns nothing.
      desc 'Generates a EmmetNotifications migrations.'

      def create_migrations
        migration_template 'migrations/notifications_messages.rb',
          'db/migrate/create_notifications_messages.rb'
      end

      # def copy_initializer_file
      #   copy_file 'config/emmet_notifications.rb', 'config/initializers/emmet_notifications.rb'
      # end

      def self.next_migration_number(_path)
        unless @previous_migration_number
          @previous_migration_number = Time.now.utc.strftime('%Y%m%d%H%M%S').to_i
        else
          @previous_migration_number += 1
        end
      end
    end
  end
end
